## org.apache.jasper.compiler
Class Node.IncludeAction

    java.lang.Object
      org.apache.jasper.compiler.Node
          org.apache.jasper.compiler.Node.IncludeAction

Enclosing class:
  Node

public static class Node.IncludeAction
extends Node

Represents an include action

Nested Class Summary

Nested classes inherited from class org.apache.jasper.compiler.Node

`Node.Comment, Node.CustomTag, Node.Declaration, Node.Expression, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.JspAttribute, Node.JspRoot, Node.JspText, Node.Nodes, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.Scriptlet, Node.SetProperty, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean, Node.Visitor`

Field Summary

Fields inherited from class org.apache.jasper.compiler.Node
`attrs, beginJavaLine, body, endJavaLine, parent, startMark, text`

Constructor Summary
`Node.IncludeAction(org.xml.sax.Attributes attrs, Mark start, Node parent)`

Method Summary
`void` `accept(Node.Visitor v)`
`Node.JspAttribute` `getPage()`
`void` `setPage(Node.JspAttribute page)`

Methods inherited from class org.apache.jasper.compiler.Node
`getAttributes, getAttributeValue, getBeginJavaLine, getBody, getEndJavaLine, getParent, getStart, getText, isXmlSyntax, setAttributes, setBeginJavaLine, setBody, setEndJavaLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.IncludeAction

    public Node.IncludeAction(org.xml.sax.Attributes attrs,
                              Mark start,
                              Node parent)

Method Detail

### accept

    public void accept(Node.Visitor v)
                throws JasperException

  Parameters:
    `v` - The visitor class
  Throws:
    `JasperException`

### setPage

    public void setPage(Node.JspAttribute page)

### getPage

    public Node.JspAttribute getPage()

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.